
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>【项目篇】Android团队项目开发之统一代码规范 / iVAN</title>

    <meta name="description" content="【项目篇】Android团队项目开发之统一代码规范 前言 团队项目开发前的统一三要素:统一需求/开发文档,统一代码规范,统一环境(编译/测试/发布). 一个项目团队,要想有高效的产出,必须在团队协作上下好功夫,必须在项目开发统一进度上做好协调.只有在高效的协同环境下,才能有优质的产出.这是我多年的经验之谈.也是配合过多个团队之后的深刻感悟. 每一个程序员都是有独立开发思维模式,都有自己的编码行为和操作习惯.所以,在一个团队中,怎么做到更高效的协同,不仅仅是每个开发者自身的协同配合能力,更重要的是项目管理者,怎样做到统一要求和统一实行. 举个很简单">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">【项目篇】Android团队项目开发之统一代码规范</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<h3>前言</h3>
<p>团队项目开发前的统一三要素：统一需求/开发文档，统一代码规范，统一环境（编译/测试/发布）。</p>
<p>一个项目团队，要想有高效的产出，必须在团队协作上下好功夫，必须在项目开发统一进度上做好协调。只有在高效的协同环境下，才能有优质的产出。这是我多年的经验之谈。也是配合过多个团队之后的深刻感悟。</p>
<p>每一个程序员都是有独立开发思维模式，都有自己的编码行为和操作习惯。所以，在一个团队中，怎么做到更高效的协同，不仅仅是每个开发者自身的协同配合能力，更重要的是项目管理者，怎样做到统一要求和统一实行。</p>
<p>举个很简单的例子。以前在一个小团队里，每次进行代码更新的时候，都是有一大堆更新。最后发现很多不是代码功能的个性，而只是大家的code style不一样。每次merge代码都要diff查看修改的地方，这样很影响效率。而且如果你只是做为一个普通的开发者，要求其它人和你用统一style，别人未必接受。这时的项目管理者，才是最需要去统一规范的。保持规范统一，才是高效协作产出的前提。</p>
<p>Android项目开发需要统一哪些规范呢？ <br />
在些列出一些常用规范，和容易出问题的地方，方便自己查找，也方便和更多的朋友交流！ <br />
一、编码方式统一：UTF-8。一般项目都用utf-8。有其它编码的，可自行要求修改。 <br />
在项目代码中右键，就能出现如下： <br /><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNjAzMjgxNTA0MDkxNjI=.jpg"></p>
<p>或者去个性配置文件： <br /><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNjAzMjgxNTA0NTk2OTQ=.jpg"></p>
<p>二、代码样式code style：比如，tab缩进4个空格，或者 tab size等。 <br />
  1. 自定义的编码格式xml 文件。没有的话，可以下载 <br />
  2.  把xml文件复制到 C:/Users/YourUserName/.AndroidStudio/config/codestyles 目录下，如果没有codestyles目录可以自己新建一个。 (目前还不支持导入) <br />
   3. 重启android studio <br />
   4.  android studio  中 Setting-&gt; Editor-&gt; Code Style-&gt; JAVA-&gt; Scheme 选择自定义的编码格式文件。 <br />
   具体如下图： <br /><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNjAzMjgxNTMzMjg4NTY=.jpg"></p>
<p>保持代码格式的一致性，对项目的协同开发很有必要。优秀的代码习惯是，提交代码前格式化代码，让代码统一规则上传，保证代码的整洁。所以，在团队中必须支持规范代码。提交前所有修改的类都必须ctrl+f（规范代码），然后再提前。良好的编码习惯，能让代码变得更优雅漂亮。</p>
<h2>命名规范</h2>
<p>Java代码一般使用驼峰式规则，用名词或名词词组命名，每个单词的首字母大写。常用类的命名：</p>
<blockquote><ul>
<li>activity类，命名以Activity为后缀，如：LoginActivity</li>
<li>fragment类，命名以Fragment为后缀，如：ShareDialogFragment</li>
<li>service类，命名以Service为后缀，如：DownloadService</li>
<li>adapter类，命名以Adapter为后缀，如：CouponListAdapter</li>
<li>工具类，命名以Util为后缀，如：EncryptUtil</li>
<li>模型类，命名以BO为后缀，如：CouponBO</li>
<li>接口实现类，命名以Impl为后缀，如：ApiImpl</li>
</ul>
</blockquote>
<h3>方法命名</h3>
<blockquote><ul>
<li>初始化方法，命名以init开头，例：initView</li>
<li>按钮点击方法，命名以to开头，例：toLogin</li>
<li>设置方法，命名以set开头，例：setData</li>
<li>具有返回值的获取方法，命名以get开头，例：getData</li>
<li>通过异步加载数据的方法，命名以load开头，例：loadData</li>
<li>布尔型的判断方法，命名以is或has，或具有逻辑意义的单词如equals，例：isEmpty</li>
</ul>
</blockquote>
<h3>控件命名</h3>
<p>控件命名，一般都有各自习惯。但为了保证代码的整洁，尽量保持统一风格。 <br /><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNjAzMjgxNTUyMzUxOTc=.jpg"></p>
<h3>常量命名</h3>
<p>全部为大写单词，单词之间用下划线分开。 <br />
    public final static int PAGE_SIZE = 20;</p>
<h3>变量命名</h3>
<p>{范围描述+}意义描述+类型描述的组合，用驼峰式，首字母小 <br /><code> private TextView headerTitleTxt; // 标题栏的标题 <br />
           private Button loginBtn; // 登录按钮</code></p>
<h3>控件id命名</h3>
<p>控件缩写<em>{范围</em>}意义，范围可选，只在有明确定义的范围内才需要加上。</p>
<pre><code>&lt;!-- 这是标题栏的标题 --&gt;
&lt;TextView
    android:id="@+id/txt_header_title"
    ... /&gt;

&lt;!-- 这是登录按钮 --&gt;
&lt;Button
    android:id="@+id/btn_login"
    ... /&gt;</code></pre>
<h3>layout命名</h3>
<p>组件类型<em>{范围</em>}功能，范围可选，只在有明确定义的范围内才需要加上。</p>
<pre><code>   activity_{范围_}功能，为Activity的命名格式
   fragment_{范围_}功能，为Fragment的命名格式
   dialog_{范围_}功能，为Dialog的命名格式
   item_list_{范围_}功能，为ListView的item命名格式
   item_grid_{范围_}功能，为GridView的item命名格式
   header_list_{范围_}功能，为ListView的HeaderView命名格式
   footer_list_{范围_}功能，为ListView的FooterView命名格式</code></pre>
<h3>strings的命名</h3>
<p>类型<em>{范围</em>}功能，范围可选。 <br />
以下为几种常用的命名：</p>
<pre><code>页面标题，命名格式为：title_页面
按钮文字，命名格式为：btn_按钮事件
标签文字，命名格式为：label_标签文字
选项卡文字，命名格式为：tab_选项卡文字
消息框文字，命名格式为：toast_消息
编辑框的提示文字，命名格式为：hint_提示信息
图片的描述文字，命名格式为：desc_图片文字
对话框的文字，命名格式为：dialog_文字
menu的item文字，命名格式为：action_文字</code></pre>
<h3>colors的命名</h3>
<p>前缀{<em>控件}{</em>范围}{_后缀}，控件、范围、后缀可选，但控件和范围至少要有一个。</p>
<pre><code>背景颜色，添加bg前缀
文本颜色，添加text前缀
分割线颜色，添加div前缀
区分状态时，默认状态的颜色，添加normal后缀
区分状态时，按下时的颜色，添加pressed后缀
区分状态时，选中时的颜色，添加selected后缀
区分状态时，不可用时的颜色，添加disable后缀</code></pre>
<h3>drawable的命名</h3>
<p>前缀{<em>控件}{</em>范围}{_后缀}，控件、范围、后缀可选，但控件和范围至少要有一个。</p>
<pre><code>图标类，添加ic前缀
背景类，添加bg前缀
分隔类，添加div前缀
默认类，添加def前缀
区分状态时，默认状态，添加normal后缀
区分状态时，按下时的状态，添加pressed后缀
区分状态时，选中时的状态，添加selected后缀
区分状态时，不可用时的状态，添加disable后缀
多种状态的，添加selector后缀（一般为ListView的selector或按钮的selector）</code></pre>
<h3>动画文件命名</h3>
<p>动画类型_动画方向。</p>
<pre><code>fade_in，淡入
fade_out，淡出
push_down_in，从下方推入
push_down_out，从下方推出
slide_in_from_top，从头部滑动进入
zoom_enter，变形进入
shrink_to_middle，中间缩小</code></pre>
<h3>注释规范</h3>
<ol>
<li>文件头注释</li>
</ol>
<p>文件顶部统一添加版权声明，声明的格式如下：</p>
<pre><code>/**
 * Copyright (c) 2015. Keegan小钢 Inc. All rights reserved.
 */</code></pre>
<ol>
<li>类和接口注释 <br />
类和接口统一添加javadoc注释，格式如下：</li>
</ol>
<pre><code>/**
 * 类或接口的描述信息
 *
 * @author ${USER}
 * @date ${DATE}
 */</code></pre>
<ol>
<li>方法注释 <br />
下面几种方法，都必须添加javadoc注释，说明该方法的用途和参数说明，以及返回值的说明。</p>
<ul>
<li>接口中定义的所有方法</li>
<li>抽象类中自定义的抽象方法</li>
<li>抽象父类的自定义公用方法</li>
<li>工具类的公用方法</li>
</ul>
</li>
</ol>
<pre><code>/**
 * 登录
 *
 * @param loginName 登录名
 * @param password  密码
 * @param listener  回调监听器
 */
public void login(String loginName, String password, ActionCallbackListener&lt;Void&gt; listener);</code></pre>
<ol>
<li>变量和常量注释</li>
</ol>
<p>下面几种情况下的常量和变量，都要添加注释说明，优先采用右侧//来注释，若注释说明太长则在上方添加注释。</p>
<ul>
<li>接口中定义的所有常量</li>
<li>公有类的公有常量</li>
<li>枚举类定义的所有枚举常量</li>
<li>实体类的所有属性变量</li>
</ul>
<pre><code>public static final int TYPE_CASH = 1; // 现金券
public static final int TYPE_DEBIT = 2; // 抵扣券
public static final int TYPE_DISCOUNT = 3; // 折扣券

private int id;                // 券id
private String name;           // 券名称
private String introduce;      // 券简介</code></pre>
<p>注：部分信息来源于网络，若有使用不当，请联系！感谢！</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-11 06:28:58</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar">

		<h3>【项目篇】Android团队项目开发之统一代码规范的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pn73lkz.html" rel="bookmark">Android开源项目--工具库篇</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文为那些不错的Android开源项目--开发工具库篇,主要介绍常用的开发库,包括依赖注入框架.图片缓存.网络相关.数据库ORM建模.Android公共库.Android 高版本向低版本兼容.多媒体相关及其他.   最新内容请访问AndroidOpenProject@Github,欢迎Star和Fork. 对你有帮助的话,去知乎点个赞让更多人了解:Android 优秀开源项目及特效推荐.   Android开源项目系列汇总已完成,包括: Android开源项目第一篇--个性化控件(View)篇A			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlQ45ap.html" rel="bookmark">Android开源项目第二篇&mdash;&mdash;工具库篇</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Android开源项目第二篇--工具库篇 本文为那些不错的Android开源项目第二篇--开发工具库篇,主要介绍常用的开发库,包括依赖注入框架.图片缓存.网络相关.数据库ORM建模.Android公共库.Android 高版本向低版本兼容.多媒体相关及其他.   最新内容请访问AndroidOpenProject@Github,欢迎Star和Fork.   Android开源项目系列汇总已完成,包括: Android开源项目第一篇--个性化控件(View)篇Android开源项目第二篇--工具库			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ba7Jjqp.html" rel="bookmark">《Android 应用案例开发大全（第二版）》&mdash;&mdash;1&period;7节Android应用程序的项目结构</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.7 Android应用程序的项目结构 Android 应用案例开发大全(第二版) 从上面的项目中读者已经知道了通过Android SDK可以自动生成一个项目包,但是没有对项目包里的内容进行介绍,本节对项目包中的内容进行一一介绍,项目包如图1-35所示. src源代码目录:该目录存放Android应用程序所有的源代码.该目录项有不同的包,包中对应开发的源程序,开发人员开发的主要精力都集中在开发src目录下内容. gen文件夹目录:该目录存放了Eclipse的ADT插件自动生成的R.java文件			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pdvD21b.html" rel="bookmark">谷歌计划在年内将Android One项目带入美国市场</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				据外媒The Information报道,谷歌计划在今年晚些时候在美国引进Android One项目.Android One项目主要面向新兴市场提供低成本的入门级原生安卓系统设备,没有预安装应用.竞争性服务.软件和安全更新匮乏等问题.Android One项目最初面向印度市场,随后该项目扩展至非洲部分国家.西班牙和葡萄牙 尽管Android One项目可能没有达到Google原本的预期,但对于公司来说依然是非常重要的战略部署,它能够帮助谷歌抓住低端市场的用户入口.目前谷歌尚未明确首支美国进军的A			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MWWB6AM.html" rel="bookmark">Android 判断是开发debug模式&comma;还是发布release模式的方法&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				如下所示: public class LogUtils { public static boolean APP_DBG = false; // 是否是debug模式 public static void init(Context context){ APP_DBG = isApkDebugable(context); } /** * 但是当我们没在AndroidManifest.xml中设置其debug属性时: * 使用Eclipse运行这种方式打包时其debug属性为true,使用Eclips			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zDy196b.html" rel="bookmark">Android 判断是开发debug模式&comma;还是发布release模式的方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				如下所示: public class LogUtils { public static boolean APP_DBG = false; // 是否是debug模式 public static void init(Context context){ APP_DBG = isApkDebugable(context); } /** * 但是当我们没在AndroidManifest.xml中设置其debug属性时: * 使用Eclipse运行这种方式打包时其debug属性为true,使用Eclips			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M6eXoyb.html" rel="bookmark">Android 浏览器的开发实例分享&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				 本文主要讲解Android浏览器的开发实例,有三部分内容:启动Android默认浏览器.指定浏览器进行访问以及打开本地的html文件.        一.启动Android默认浏览器 Java代码 Intent intent = new Intent(); intent.setAction(&quot;android.intent.action.VIEW&quot;); Uri content_url = Uri.parse(&quot;http://www.cnblogs.com&quot;); in			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z4Na3PM.html" rel="bookmark">Android开源项目第一篇&mdash;&mdash;个性化控件&lpar;View&rpar;篇</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文为那些不错的Android开源项目第一篇--个性化控件(View)篇,主要介绍Android上那些不错个性化的View,包括ListView.ActionBar.Menu.ViewPager.Gallery.GridView.ImageView.ProgressBar及其他如Dialog.Toast.EditText.TableView.Activity Animation等等. 本文中你可以找到那些精美App中各种有特性的View,如Gmail的左滑出菜单.Google plus的卡片式L			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pm6Qj7z.html" rel="bookmark">《Android 应用案例开发大全（第二版）》&mdash;&mdash;1&period;6节本书案例项目的导入</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.6 本书案例项目的导入 Android 应用案例开发大全(第二版) 1.6.1 导入并运行Android程序 前面已经对手机如何与Eclipse连接进行了详细讲解,本小节将介绍如何在Eclipse中导入项目,并在手机上运行已经写好的Android程序.本节将以导入本书第9章百纳理财专家为例进行详细讲解,具体步骤如下. 1．在Eclipse中导入项目 (1)启动Eclipse,依次选择&quot;File/Import&quot;将弹出导入项目的窗口Import,选择Existing Projects			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/wzVO9Db.html" rel="bookmark" class="title">Photoshop鼠绘实例教程&colon;星球战队</a>
					<div>
						效果图的组成元素较多,构图也较为复杂.画线稿的时候按照透视原理把各元素画好.然后再慢慢细化.可以按照自己的绘画风格,边画边上色或者画出黑白效果再上色.最终效果 1.选择用灰色填充画布,因为我们要画一张 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/1MvQd6b.html" rel="bookmark" class="title">使用XML VBS技术在ASP中实现报表的打印</a>
					<div>
						xml|打印 一.前言ASP在电子商务上应用广泛,报表的处理又有一些麻烦.本文介绍了在ASP中利用本人写的Report Server Page脚本解释器实现报表的显示.打印.二.准备工作(1)安装Vi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvKal8p.html" rel="bookmark" class="title">asp 输入输出的存储过程</a>
					<div>
						输入输出的存储进程 请看以下存储进程: /*SP2*/ CREATE PROCEDURE DBO.DELUSERALL AS SET NOCOUNT ON BEGIN DELETE FROM DBO. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk2WWrM.html" rel="bookmark" class="title">怎样在网页中显示虚线</a>
					<div>
						  怎样在网页中显示虚线 方法一:作一个1X2的图.半黑半白,再利用表格作成线.这种方法虽然麻烦,但在任何浏览器中均可浏览,兼容性最好. 方法二:在CSS里面设定. 在CSS面板里new一个style ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvGv29p.html" rel="bookmark" class="title">win7系统电源管理和资源管理的区别</a>
					<div>
						  很多用过和正在使用Windows Vista系统的朋友都知道,相比此前微软的操作系统,这一版本的电源管理功能更加强大,用户可根据实际需要,设置电源使用模式,让移动计算机用户在使用电池续航的情况下, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MywmrJz.html" rel="bookmark" class="title">让酷狗中播放歌曲时消除原音</a>
					<div>
						  我们需要一个消除原音的插件--dsp_DeFX.dll 打开酷狗,点击软件又上角的第二个图标&quot;主菜单&quot;,选择&quot;音效插件&quot;: 弹出一个添加插件的界面框,双击插 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkG12yp.html" rel="bookmark" class="title">Windows 7下IIS7的安装及ASP配置</a>
					<div>
						  在Windows 7下面IIS7的安装方法: 一.进入Windows 7的 控制面板,选择左侧的 打开或关闭Windows功能 . 三.安装完成后,再次进入 控制面板,选择 管理工具,双击 Int ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWXqmEp.html" rel="bookmark" class="title">win7系统开机动画变成绿色滚动条解决方法</a>
					<div>
						  1.通过快捷组合键&quot;win+r&quot;打开&quot;运行&quot;窗口,在运行窗口中输入命令&quot;cmd&quot;然后按&quot;确定&quot;按钮;如下图所示: 2 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnYryjM.html" rel="bookmark" class="title">php文件怎么打开？</a>
					<div>
						  php文件相信很多电脑老手也不知道吧?今天有电脑电脑百事网网友问了编辑这个问题:&quot;php文件怎么打开?&quot;,其实大家并非是需要去打开php文件,多数只是因为下载东西,错误的下载到 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo7rWDb.html" rel="bookmark" class="title">Python中使用异常处理来判断运行的操作系统平台方法&lowbar;python</a>
					<div>
						代码实例: 复制代码 代码如下: try:     import termios, TERMIOS 1 except ImportError:     try:         import msvc ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGAjqkM.html" rel="bookmark" class="title">flash 制作时钟&lbrack;Date类&rsqb;</a>
					<div>
						思路:首先获得系统时间,然后乘以相应的度数,实现钟表的功能. 步骤1:     绘制时针(hc),分针(mc),秒针(sc),其中hc,mc,sc是实例名. 步骤2: 加入AS代码: _root.on ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pm6Xeaz.html" rel="bookmark" class="title">Tiny软件开发过程管理暂时不再开源</a>
					<div>
						悠然一直想做一个我不是级的TINY示例,但是这个东东工作量巨大,不是3下5除2可以搞得定的,于是这事儿也就放了下来,直到2015年8月,悠然觉得应该启动这个事情了,当时想得是利用群里的Tiny爱好者来 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQrVYZM.html" rel="bookmark" class="title">求大神</a>
					<div>
						问题描述 做了一个javaweb项目,STS+MySQL+Tomcat,现在要打包项目之前试了JTM但是只支持32位系统的.请问还有什么工具打包比较好?最好就是批处理不用安装JDK和tomcat的 解 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pm6yoBz.html" rel="bookmark" class="title">网狐游戏服务器报红-服务器房间加机器人就报红</a>
					<div>
						问题描述 服务器房间加机器人就报红 [img=http://img.bbs.csdn.net/upload/201412/21/1419157951_206879.jpg][/img] 服务端游戏房间 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGALmvM.html" rel="bookmark" class="title">山东青岛市南区&colon;创建&amp;quot&semi;物联网&amp;quot&semi; 信息化管理涉案财物</a>
					<div>
						近日,山东省青岛市市南区检察院自主设计研发&quot;物联网&quot;涉案财物管理系统,使涉案财物管理工作步入了信息化管理模式. 涉案财物管理工作是案件办理过程中一个相当重要的环节,而以往主要靠人工 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boRYZdz.html" rel="bookmark" class="title">2016年度最受欢迎的100个 Java 库</a>
					<div>
						[编者按]本文作者为 Henn Idan,主要介绍基于 GitHub 中的数据分析,得出的2016年度最受欢迎的100个 Java 库.本文系国内 ITOM 管理平台 OneAPM 编译呈现. 谁拔得 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPPra0p.html" rel="bookmark" class="title">告诉你一定不知道的秘密：机器人已经可以登台表演魔术了！</a>
					<div>
						2017年9月26日,在温哥华举办的第三十届IROS大会进入正会第二天.这一天还是大会的比赛日,除了抓取与模拟竞赛.无人机飞行竞速,还进行了人形机器人竞赛. 在IROS上的人形机器人比赛已经进行到第五 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boKLvEb.html" rel="bookmark" class="title">IE6占据中国大陆34&percnt;份额</a>
					<div>
						本报讯 (记者 林其玲) 今年微软极力推动IE6用户转移到IE9,但昨天科技网站IE6 Countdown的调查数据显示,微软2001年发布的IE6浏览器,目前仍在浏览器市场占有较大份额. 截至今年5 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxYa0Gp.html" rel="bookmark" class="title">jquery &dollar;&period;ajax实例 详细简单</a>
					<div>
						本文章来告诉你利用了$.ajax来与数据库教程交互或异步传送数据,更新数据,删除数据等利用了jquery ajax来实例在是方便了很多,简单几句代码就ok了. 加载js $.ajax({    typ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKYll5p.html" rel="bookmark" class="title">怎样得到当前选中列的cell&period;name</a>
					<div>
						问题描述 怎样得到当前选中列的cell.name,比如我鼠标随便点在datagridview1中的某列,我怎样知道当前的列名,在pb有个dwo.name就可以得到,在c#怎样得到 解决方案 解决方案二 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKYBgdp.html" rel="bookmark" class="title">怎么动态生成一组输入框，并把数据都写到数据库？</a>
					<div>
						问题描述 我是要新建生成类似这样的文件.数据在数据库中还是这么一行一行的存.我在新建的时候要怎么弄呢?我想到的是,一个新建行的按钮,点击后,生成一行,在这一行中有名称.单位.数量.单价.说明这几个输入 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6ZjZNM.html" rel="bookmark" class="title">oom-ImageView bitmap size exceeds VM budget</a>
					<div>
						问题描述 ImageView bitmap size exceeds VM budget 我在一个activity中为一个ImageView设置了从asset中读取出来的图片,ImageView..s ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPBG9Zb.html" rel="bookmark" class="title">经得住时间检验的外部链接</a>
					<div>
						我看http://www.aliyun.com/zixun/aggregation/10961.html&quot;&gt;Matt Cutts的帖子及回复,最爱看的内容倒不是Google算法之类的, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3rv47z.html" rel="bookmark" class="title">Android成企业安全主要威胁的十大原因</a>
					<div>
						本文讲的是 :  Android成企业安全主要威胁的十大原因  , [IT168专稿]网络安全话题一直以来就为大家所关注,对企业用户来说尤其重要.防范黑客已经成了大家最头疼的事情,黑客能够控制世界各地 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mx0oEyM.html" rel="bookmark" class="title">经验分享 ：数据产品开发前的必修课</a>
					<div>
						分清指标和维度关系 既然是数据产品,一定离不开数据图表.而要做图表,首先得确定指标和维度.最直观的说:指标就是图表中纵坐标轴:维度就是横坐标轴. 身高,销售量,访问量,收入这些能用数字衡量的,就是指标 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZBg6qz.html" rel="bookmark" class="title">Page&period;FindControl方法找不到指定控件的原因</a>
					<div>
						在ASP.NET 2.0中,引入了MasterPage的机制,在当前页使用MasterPage的情况下,放在 ContentPlaceholder1这样的内容页的控件无法用Page.FindContr ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mrqk74b.html" rel="bookmark" class="title">imagelist 失真问题</a>
					<div>
						问题描述 右边是在pictureBox里面的image直接导入.左边是通过imageList赋值出现的不同效果.图片是一样的,32位也设了,不知哪出问题,还是这种发光模糊的图片本来就不行?其它图片都可 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b22O6Vb.html" rel="bookmark" class="title">lisetview 选择器-android根据数组添加N个LisetView</a>
					<div>
						问题描述 android根据数组添加N个LisetView 这种效果怎么做, 解决方案 这种的,要不尝试一下使用gridview,看看能不能实现					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bj8aG5p.html" rel="bookmark" class="title">java 字符串内存分配的分析与总结&lpar;推荐&rpar;&lowbar;java</a>
					<div>
						经常在网上各大版块都能看到对于java字符串运行时内存分配的探讨,形如:String a = &quot;123&quot;,String b = new String(&quot;123&quot; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MR157xb.html" rel="bookmark" class="title">重大福利！优云UEM重磅上线！</a>
					<div>
						&quot;千呼万唤始出来&quot;,万众期待的优云UEM正式与宝宝们见面啦~~~ 今天很多人来问小编,优云Web咋不见了,表急,优云Web并没有消失,而是重磅升级为优云UEM啦!!! 什么是UEM ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.028 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
